LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT=
COPT=


##### IMAKEF CUT #####

regbtestenv.bah: regbtestenv.cah 
	$(COLLECT) regbtestenv.cah -t  -o regbtestenv.bah $(COLLECTOPT)

regbtestenv.cah: regbtestenv.lah regbtestenv.tah 
	$(LINK) -f regbtestenv.lah -ta -h -o regbtestenv.cah $(LINKOPT)

regbtestenv.tah: regbtestenv.occ /usr/r2/users/psf/toolset/libs/hostio.inc \
                 Regbankdefs.inc /usr/r2/users/psf/toolset/libs/hostio.lib \
                 /usr/r2/users/psf/toolset/libs/hostio.liu \
                 /usr/r2/users/psf/toolset/libs/convert.lib RegBank.tah \
                 inputprocess.tah addrinput.tah datainput.tah 
	$(OCCAM) regbtestenv -ta -h -o regbtestenv.tah $(OCCOPT)

RegBank.tah: RegBank.occ 
	$(OCCAM) RegBank -ta -h -o RegBank.tah $(OCCOPT)

inputprocess.tah: inputprocess.occ Regbankdefs.inc \
                  /usr/r2/users/psf/toolset/libs/hostio.inc \
                  /usr/r2/users/psf/toolset/libs/hostio.lib \
                  /usr/r2/users/psf/toolset/libs/hostio.liu \
                  /usr/r2/users/psf/toolset/libs/convert.lib \
                  /usr/r2/users/psf/toolset/libs/string.lib \
                  /usr/r2/users/psf/toolset/libs/string.liu 
	$(OCCAM) inputprocess -ta -h -o inputprocess.tah $(OCCOPT)

addrinput.tah: addrinput.occ Regbankdefs.inc \
               /usr/r2/users/psf/toolset/libs/string.lib \
               /usr/r2/users/psf/toolset/libs/string.liu \
               /usr/r2/users/psf/toolset/libs/convert.lib 
	$(OCCAM) addrinput -ta -h -o addrinput.tah $(OCCOPT)

datainput.tah: datainput.occ Regbankdefs.inc \
               /usr/r2/users/psf/toolset/libs/string.lib \
               /usr/r2/users/psf/toolset/libs/string.liu \
               /usr/r2/users/psf/toolset/libs/convert.lib \
               /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) datainput -ta -h -o datainput.tah $(OCCOPT)

